///////////////////////////////////////////////////////////////////////////////
//                    	SAMPLE CODE
//
// FileName: ACDFBd6.hpp
//
// ClassName: ACompDocFwkMyBundle
//
// Description: This is the bundle class. The reason a user version of the 
//              IGUIbundle class is to try and get the help to work by setting
//              the default style before the view is created
///////////////////////////////////////////////////////////////////////////////
#ifndef _COMPDOCFWK_BUNDLE_
#define _COMPDOCFWK_BUNDLE_

#ifdef IC_TRACE_DEVELOP
    #include <itrace.hpp>
#else
    #define IFUNCTRACE_DEVELOP()
    #define ITRACE_DEVELOP(x)
#endif

#include <iguibndl.hpp>
#include <ihelp.hpp>
#include <ipushbut.hpp>
#include <iinfoa.hpp>
#include <isetcv.hpp>
#include <istattxt.hpp>

class ACompDocFwkMyBundle : public  IGUIBundle
{
public:
                                ACompDocFwkMyBundle();
                                ~ACompDocFwkMyBundle();

    // Override this method to create the help window
    Boolean                     adoptFrameWindow( IComponentFrameWindow* );
    IHelpWindow*                helpWindow();
    IStaticText*                statusLine();
    IInfoArea*                  infoArea();

private:
    IHelpWindow*                fHelpWindow;
    IStaticText*                fStatusLine;
    IInfoArea*                  fInfoArea;
    ISetCanvas*                 fButtons;
    IPushButton*                fLeftButton;
    IPushButton*                fCenterButton;
    IPushButton*                fRightButton;
    IPushButton*                fHelpButton;

};

#endif
